<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="LogList.aspx.vb" Inherits="Dingtai.Website.LogList" %>
<%@ Register src="../../App_Data/Controls/PageControl.ascx" tagname="PageControl" tagprefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>鼎太播客 &gt; 后台管理 &gt; 日志管理列表</title> 
</head>
<body  onload="setTableBg();">
    <form id="form1" runat="server">
    <div id="body">
        <div id="title">                
            <h5>您现在的位置：<a href="#" target="_self">后台管理</a> &gt; 操作日志</h5>
              <p>
                <a href ="LogList.aspx">全部</a>                              
              </p>
        </div>
        <div id="box">       
            <div id="an_box">
                <ul>
                    <li><a href ="#" onclick="SelectAll();"><div class="qx" alt="全选"  /></a> </li>
                    <li><a href ="#" onclick="Inverse();"><div class="fx" alt="反选"  /></a> </li>
                    <li><a href ="#" onclick="delLogs();"><div class="dels" alt="批量删除"  /></a> </li>                
                </ul>       
            </div>  
            <div class="body_box" id="body_box">
                <asp:Repeater ID="Repeater1" runat="server">
                   <HeaderTemplate >
                        <table id="t" class="table_bg" onclick="clickto()" onmousemove="fmove()" onmouseout="fout()" >
                            <tr class="table_border">
                            <th>选择</th>
                            <th>操作时间</th>
                            <th>操作者</th>
                            <th>日志描述</th>                        
                            <th>操作</th>
                            </tr>
                   </HeaderTemplate>
                   <ItemTemplate >                                  
                            <tr style ="height :100px" class="table_border2" >
                            <td align ="center" ><input type="checkbox" name="checkboxid" id="checkboxid" value="<%#Eval("ID") %>" /></td>
                            <td align ="center" ><%#Eval("CreationDate")%></td>          
                            <td align ="center" ><%#Eval("UserName")%></td>
                            <td align ="center" ><div style="position: relative;margin-top:2px;width:500px;overflow:hidden; text-overflow:ellipsis" onclick="" alt="点击提示详细信息"><%#Eval("Message")%></div></td>
                            <td align ="center" >                            
                                 <a href="#" onclick="delLog('<%#Eval("ID") %>');" ><img alt="删除" src="/Skins/default/images/box_an6.gif"/></a>                              
                            </td>
                            </tr>
                   </ItemTemplate>
                   <FooterTemplate>
                       </table>
                   </FooterTemplate>
               </asp:Repeater>
               <uc1:PageControl ID="Page2" runat="server" ShowFirstLast="true" ShowPrevNext="true" 
                FirstPageText="首 页" LastPageText="末 页" PrevPageText="上一页" NextPageText="下一页" AlwaysShow="true" 
                ShowCustomInfoSec="left" NumericButtonCount="5" PagingButtonSpacing="25px" 
                CustomInfoHTML="当前 %CurrentPageIndex% 页 共 %PageCount% 页" />
            </div>  
        </div>             
   
    </div>
    </form>
</body>

<script type = "text/javascript" language = "javascript">
    function delLog(id){
//        M("aaa","body_box");
//        return;
        if (id == "") {
            M1("无参数传递!");
            return;
        }
        
        if (C("确认删除此日志?") == false)
        {
            return;
        }
        var ret = LogList.DelLog(id).value;
        if (ret == true)
        {
            M1("Success!");
            refreshPage(0);  
        }
    }
    function delLogs(){
        var ids = "";
        for (var i=0;i<document.form1.checkboxid.length;i++) {
            var e=document.form1.checkboxid[i];
            if ( e.checked) {
                ids = ids + e.value + ","
            }
        }        
        if (ids == ""){
            M1("请选择需要删除的日志!");
            return;
        }
        if (C("确认删除这些日志?") == false)
        {
            return;
        }
        if (ids != "" && ids.lastIndexOf(",") == ids.length -1 ){
            ids = ids.substring(0,ids.length - 1)
        }
        
        ids = ids.split(",");
//        alert(ids);
        var ret = LogList.DelLogs(ids).value;
        if (ret == true)
        {
            M1("Success!");            
            refreshPage(0);  
        }
        else{
            M1("Faild!");            
        }        
    }

</script>
</html>
